
; Aspell with OmegaT for Windows Script
; =====================================
;
; Author: Samuel Murray-Smit (leuce@absamail.co.za)
;
; This script will copy text from the current OmegaT segment,
; pipe it to an Aspell batch file, and move the cursor in OmegaT
; to the next segment.

WinActivate ("OmegaT", "")
WinWaitActive ("OmegaT", "")
Send ("^a")
Send ("^c")

; This script assumes that the terminal window's title is "Command
; Prompt" (as in Windows 2000).  Change it for other versions of
; Windows.  Only the first word of the window title is necessary.

; Also, this script will only work if the terminal window is already
; open and if the current directory therein is c:\cygwin\bin\, and
; if it contains the batch file called a.bat.

WinActivate ("Command")
WinWaitActive ("Command")
Send ("a")
Send ("{ENTER}")

; For this script to work, OmegaT's segment advance must be set
; to "Tab".  Alternatively, replace {TAB} with the relevant
; keypress (possibly ^n).

WinActivate ("OmegaT")
WinWaitActive ("OmegaT")
Send ("{TAB}")

Exit
